Summary:	SELinux Translation Daemon
Name:		mcstrans
Version:	0.3.4
Release:	11
License:	GPLv2+
Group:		System/Servers
Source0:	http://fedora.redhat.com/projects/%{name}-%{version}.tar.gz
Source1:	mcstransd.service
BuildRequires:	libcap-devel
BuildRequires:	selinux-devel >= 1.30.3-1
BuildRequires:	sepol-devel >= 2.1.3-5
BuildRequires:	pkgconfig(libpcre)
Requires:	pcre
Provides:	setransd = %{EVRD}
Requires(post,preun):	rpm-helper

%description
Security-enhanced Linux is a feature of the Linux kernel and a number
of utilities with enhanced security functionality designed to add
mandatory access controls to Linux.  The Security-enhanced Linux
kernel contains new architectural components originally developed to
improve the security of the Flask operating system. These
architectural components provide general support for the enforcement
of many kinds of mandatory access control policies, including those
based on the concepts of Type Enforcement, Role-based Access
Control, and Multi-level Security.

mcstrans provides an translation daemon to translate SELinux categories
from internal representations to user defined representation.

%files
%defattr(-,root,root,0755)
%{_mandir}/man8/mcs.8.*
%{_mandir}/man8/mcstransd.8.*
%{_mandir}/man8/setrans.conf.8.*
%{_mandir}/man8/secolor.conf.8.*
/sbin/mcstransd
%dir %{_sysconfdir}/selinux/mls/setrans.d
%dir %{_datadir}/mcstrans
%defattr(0644,root,root,0755)
%dir %{_datadir}/mcstrans/util
%dir %{_datadir}/mcstrans/examples
%{_datadir}/mcstrans/examples/*
%defattr(0755,root,root,0755)
%{_datadir}/mcstrans/util/*
%{_unitdir}/mcstransd.service

%post
%_post_service mcstrans

%preun
%_preun_service mcstrans

#----------------------------------------------------------------------------

%prep
%setup -q

%build
make clean
%make LIBDIR="%{_libdir}" CFLAGS="%{optflags}"

%install
mkdir -p %{buildroot}/%{_lib}
mkdir -p %{buildroot}/%{_libdir}
mkdir -p %{buildroot}%{_datadir}/mcstrans
mkdir -p %{buildroot}%{_sysconfdir}/selinux/mls/setrans.d

make DESTDIR="%{buildroot}" LIBDIR="%{buildroot}%{_libdir}" SHLIBDIR="%{buildroot}/%{_lib}" install
rm -f %{buildroot}%{_sbindir}/*
rm -f %{buildroot}%{_libdir}/*.a
cp -r share/* %{buildroot}%{_datadir}/mcstrans/

mkdir -p %{buildroot}%{_unitdir}
install -m644 %{SOURCE1} %{buildroot}%{_unitdir}
rm -rf %{buildroot}/%{_sysconfdir}/rc.d/init.d/mcstrans



%changelog

* Fri Jun 03 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.3.4-11
- (14a17f1) Bump release


